<template>
  <div class="g-settings columns" :class="name">
      <div class="column is-3 controls">
            <a class="button">
              <span class="icon">
                <i class="basicfill basicfill-power"></i>
              </span>
              <span>General</span>
            </a>
            <a class="button  ">
              <span class="icon">
                <i class="basicfill basicfill-layers"></i>
              </span>
              <span>Themes</span>
            </a>
            <a class="button  ">
              <span class="icon">
                <i class="basicfill basicfill-camera"></i>
              </span>
              <span>Photos</span>
            </a>
            <a class="button  ">
              <span class="icon">
                <i class="basicfill basicfill-notifications-button"></i>
              </span>
              <span>Notifications</span>
            </a>
            <a class="button  ">
              <span class="icon">
                <i class="basicfill basicfill-layers"></i>
              </span>
              <span>Applications</span>
            </a>
            <a class="button  ">
              <span class="icon">
                <i class="basicfill basicfill-locked"></i>
              </span>
              <span>Security</span>
            </a>
            <a class="button  ">
              <span class="icon">
                <i class="basicfill basicfill-warning"></i>
              </span>
              <span>About</span>
            </a>
      </div>
      <div class="column is-9 panels">
        <div class="general setting">
         <div class="field" v-if="settings && settings.themes">
            <div class="control">
              <div class="select is-fullwidth">
                <bselect @input-change="inputChange($event)" :options="settings.themes" name="themes"></bselect>
              </div>
            </div>
        </div>
        </div>
      </div>
    </div>
</template>

<script>
import Bselect from './bulma/Bselect'
import {bus} from './../utilities/bus.js'

export default {
  name: "gsettings",
  components:{
    Bselect
  },
  props: {
    name: {
      type: String,
      default: ""
    },
    settings: {
      type: Object,
      default: () =>{
        return {}
      }
    }
  },
  methods: {
    inputChange: function(input){
      bus.$emit('settings-change',input);
    }
  }
  }
</script>

<style lang="scss">
.g-settings {
  width: 43.75rem;
  min-height: 30rem;
}
</style>
